/* card curs */

/* card cursos */

/*  tipografies card cursos */
.grid-cursos,
.grid-borsa {
    font-family: var(--font-family);

}

.titulars-cursos {
    font-family: var(--font-family);
    font-weight: 500;
    font-style: normal;

    font-size: 18px;
    line-height: 1.3em;

    color: #000000;

    text-decoration: none !important;


}

.num-resultats-general,
.num-resultats-general-borsa {
    color: #666666;
    font-family: var(--font-family);
    font-weight: 500;
    font-style: normal;
    font-size: 18px;
    line-height: 1.3em;

}


.curs-tipologia {
    font-family: var(--font-family);
    font-weight: 600;
    font-style: normal;

    text-decoration: none;
}

.curs-duracio {
    font-family: var(--font-family);
    font-weight: 600;
    font-style: italic;

    text-decoration: none;
}

/* curs header */

.curs-img {
    height: 150px;
    width: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0px 0px;
}

/* curs titular */

.curs-content-titular.titulars-cursos,
.borsa-content-titular {
    color: #000000
}

.curs-content-titular,
.borsa-content-titular {
    display: -webkit-box;
    -webkit-line-clamp: 4;
     line-clamp: 4;
    /* Limit to 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.borsa-content-descripcio {
    display: -webkit-box;
    -webkit-line-clamp: 5;
    line-clamp: 5;
    /* Limit to 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;

    color: #000000;

    font-size: 16px;
    font-family: var(--font-family);
    font-weight: 400;
    font-style: normal;

    margin-top: 40px;
}

/* curs profe */

.curs-content-profe {
    font-size: 16px;
    color: #043ea7;
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    align-items: baseline;
    flex-direction: column;
}

.curs-professor {
    color: #043ea7;
}


.curs-professor:before {
    content: "Amb ";
    font-size: 14px;
    color: #666666;
}




/* curs footer  */

.curs-footer {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: baseline;
}

.curs-preu {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    gap: 8px;
}

.curs-preu-promo {
    text-decoration: line-through;
    color: #666666;

    font-family: var(--font-family);
    font-style: normal;
    font-weight: 400;
}

.curs-preu-correcte {
    font-weight: 600;

    color: #043ea7;
}

/*  -------- card general -----*/

.card-curs,
.card-borsa {
    /* box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px; */
    background: white;
    border-radius: 10px;
}

.card-curs:hover,
.card-borsa:hover {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    background: #F8F8FF;
    border-radius: 10px;
    transform: translateY(-5px);
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.card-curs-home {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    background: white;
    border-radius: 10px;
}

.padding-content {
    padding: 13px 20px 0px;
}

.curs-footer.padding-content {
    padding: 20px;
    /* 	    margin-top:5vh; */
    margin-top: -50px;
}

.grid-borsa .padding-content {
    padding: 20px;
}

.fletxa-ifep {
    fill: #043ea7;
}

.curs-fletxa svg {
    width: 30px;
    display: flex;
}

.url-card-curs {
    text-decoration: none;
}